#
# spec file for package eblook (Version 1.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake eb ebdev
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs eb ebdev file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         eblook
Copyright:    GPL
Group:        Applications/Text
Requires:     eb
# Provides:     eblook
Autoreqprov:  on
Version:      1.3
Release:      152
URL: http://openlab.ring.gr.jp/lookup/eblook/
Source0: http://openlab.ring.gr.jp/lookup/DIST/eblook/eblook-%{version}.tar.bz2
# Patch0:
BuildRoot: /var/tmp/%{name}-root
Summary:      Command line tool for searching in electronic dictionaries
# Summary(ja): eblook $B$O!"(BEB $B%i%$%V%i%j$rMQ$$$?BPOC7?$NEE;R<-=q8!:w%3%^%s%I$G$9!#(B
# Obsoletes: 

%description
eblook is a command line tool using the EB-library.
It provides easy access to many electronic dictionaries published on CD-ROM.
It is recommended to install the Emacs-interface 'lookup.el' too.
Although it is possible to use 'eblook' from the commandline, using it
with Emacs/XEmacs and 'lookup.el' is much easier and offers many extra
features as well.
You can get 'lookup.el' from http://lookup.sourceforge.net/.
'lookup.el' is already included as a package in recent versions of XEmacs.

Authors:
--------
    Keisuke Nishida <knishida@ring.gr.jp> wrote eblook.c and eblook.texi.
    Keisuke MORI <ksk@ntts.com> compiled eblook on the Cygwin environment.

SuSE series: j

%define prefix /usr
%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup0
#%patch0 -p1

%build
# update config.{guess,sub}
%{?suse_update_config}
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=$RPM_BUILD_ROOT/%{prefix} \
            --infodir=$RPM_BUILD_ROOT/%{_infodir} \
            %{_target_cpu}-suse-linux-gnu
make 

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   install -d -m755 $RPM_BUILD_ROOT
fi
make prefix=$RPM_BUILD_ROOT/%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL NEWS README THANKS VERSION ChangeLog
%{prefix}/bin/*
%{_infodir}/eblook*

%changelog -n eblook
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Tue Sep 26 2000 - mfabian@suse.de
- add "# neededforbuild automake" to make it build on SuSE 6.4
* Wed Jul 12 2000 - mfabian@suse.de
- new package: eblook, Version 1.3
